Beefy Boxes and Bandwidth Generously Provided by pair Networks
laziness, impatience, and hubris
 
PerlMonks  

Re: Net-SFTP dependency missing

by salva (Canon)
on Dec 12, 2020 at 11:50 UTC ( #11125058=note: print w/replies, xml ) Need Help??


in reply to Net-SFTP dependency missing

Package dependency version requirements don't state a specific version but the minimum one supported.

Actually it is very uncommon for a Perl package to require a specific version of a dependency. It is not even supported by the toolset.

So, Net::SSH::Perl 2.14 should be ok.

In any case, take a look too at Net::SFTP::Foreign (provides much better API) and Net::SFTP::Foreign::Compat (API compatible with Net::SFTP, but uses the ssh binary under the hood, instead of Net::SSH::Perl).

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://11125058]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others studying the Monastery: (5)
As of 2021-04-15 07:30 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    No recent polls found

    Notices?